'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class result extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      result.belongsTo(models.user,{
        foreignKey:'user_id',
        onDelete:'cascade'
      });
      result.belongsTo(models.quiz,{
        foreignKey:'quiz_id',
        onDelete:'cascade'
      });
    }
  }
  result.init({
    user_id:{
      type:DataTypes.INTEGER,
      allowNull:false
    },
    quiz_id:{
      type:DataTypes.INTEGER,
      allowNull:false
    },
    score:{
      type:DataTypes.INTEGER,
      allowNull:false,
    },
    total:{
      type:DataTypes.INTEGER,
      allowNull:false,
    }
  }, {
    sequelize,
    modelName: 'result',
    tableName:'results'
  });
  return result;
};