const express=require('express');
const router=express.Router();
const authenticateAdmin=require('../middleware/authmiddleware');
const adminctrl=require('../controller/adminController.js');

router.post('/create-quiz',authenticateAdmin,adminctrl.createQuiz);
router.post('/create-question',authenticateAdmin,adminctrl.createQuestion);
router.post('/assign-quiz', authenticateAdmin, adminctrl.assignQuiz);
router.get('/user-result/:user_id/:quiz_id', authenticateAdmin, adminctrl.getUserResult);
module.exports=router;